# fortios_log_setting – Configure general log settings in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify log feature and setting category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

log_setting dictionary | Default: null | Configure general log settings.

brief_traffic_format
string

Choices:
- enable
- disable

Enable/disable brief format traffic logging.

| custom_log_fields list |  | Custom fields to append to all log messages.
|  | field_id string |  | Custom log field. Source log.custom-field.id.

daemon_log
string

Choices:
- enable
- disable

Enable/disable daemon logging.

expolicy_implicit_log
string

Choices:
- enable
- disable

Enable/disable explicit proxy firewall implicit policy logging.

fwpolicy6_implicit_log
string

Choices:
- enable
- disable

Enable/disable implicit firewall policy6 logging.

fwpolicy_implicit_log
string

Choices:
- enable
- disable

Enable/disable implicit firewall policy logging.

local_in_allow
string

Choices:
- enable
- disable

Enable/disable local-in-allow logging.

local_in_deny_broadcast
string

Choices:
- enable
- disable

Enable/disable local-in-deny-broadcast logging.

local_in_deny_unicast
string

Choices:
- enable
- disable

Enable/disable local-in-deny-unicast logging.

local_out
string

Choices:
- enable
- disable

Enable/disable local-out logging.

log_invalid_packet
string

Choices:
- enable
- disable

Enable/disable invalid packet traffic logging.

log_policy_comment
string

Choices:
- enable
- disable

Enable/disable inserting policy comments into traffic logs.

log_policy_name
string

Choices:
- enable
- disable

Enable/disable inserting policy name into traffic logs.

log_user_in_upper
string

Choices:
- enable
- disable

Enable/disable logs with user-in-upper.

neighbor_event
string

Choices:
- enable
- disable

Enable/disable neighbor event logging.

resolve_ip
string

Choices:
- enable
- disable

Enable/disable adding resolved domain names to traffic logs if possible.

resolve_port
string

Choices:
- enable
- disable

Enable/disable adding resolved service names to traffic logs.

user_anonymize
string

Choices:
- enable
- disable

Enable/disable anonymizing user names in log messages.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure general log settings.
        fortios_log_setting:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          log_setting:
            brief_traffic_format: "enable"
            custom_log_fields:
             -
                field_id: "<your_own_value> (source log.custom-field.id)"
            daemon_log: "enable"
            expolicy_implicit_log: "enable"
            fwpolicy_implicit_log: "enable"
            fwpolicy6_implicit_log: "enable"
            local_in_allow: "enable"
            local_in_deny_broadcast: "enable"
            local_in_deny_unicast: "enable"
            local_out: "enable"
            log_invalid_packet: "enable"
            log_policy_comment: "enable"
            log_policy_name: "enable"
            log_user_in_upper: "enable"
            neighbor_event: "enable"
            resolve_ip: "enable"
            resolve_port: "enable"
            user_anonymize: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.